Subject: Re: bug#59945: [PATCH] Fix empty pairs in js tree-sitter imenu alist

From: "Charl P. Botha" <[email-masked]>
Date: Fri, 16 Dec 2022 19:52:27 +0200

On Fri, Dec 16, 2022, at 16:11, Robert Pluim wrote:
>>>>>> On Fri, 16 Dec 2022 07:58:46 +0200, "Charl P. Botha" <[email-masked]> said:
>     Charl> I followed the instructions at
>     Charl> 
> https://www.gnu.org/software/emacs/manual/html_node/emacs/Sending-Patches.html
>     Charl> which said to use "git format-patch master" and include 
> either inline
>     Charl> (which I did) or as a mime attachment.
>
> Not quite. You sent the result of 'git format-patch master' as an
> email, not inline in an email (presumably with 'git send-email'). That
> shouldnʼt matter, because 'git apply' should work in either case, but
> attachments are sometimes easier to work with.

Thank you for the correction, Robert! I thought that sending the output of `git format-patch master` as a plain-text email was what was meant by "inline". I'm sorry about this, I'll stick to attachments in the future.

Yuan, can you confirm that the patch I eventually attached is OK?

Kind regards,
Charl